name: Build and Publish Docs site
run-name: docusaurus build docs site

on:
  push:
    branches:
      - main

jobs:
  build-docs:
    runs-on: ubuntu-22.04
    steps:
      - uses: actions/checkout@v5
      - uses: actions/setup-node@v5
        with:
          node-version: 20
          cache: npm
      # - name: install necessary tools
      #   run: |
      #     apt update -y && apt install -y rsync python3 python3-pip python-is-python3
      #     pip install awscli
      # - name: prepare awesome list
      #   run: |
      #     make prepare-awesome-latest prepare-awesome\#23 prepare-awesome\#22 prepare-awesome\#21 prepare-awesome\#20 prepare-awesome\#19
      - name: Cache ~/.npm for npm ci
        uses: actions/cache@v4
        with:
          path: ~/.npm
          key: ${{ runner.os }}-node-${{ hashFiles('**/package-lock.json') }}
          restore-keys: ${{ runner.os }}-node

      - name: Install dependencies with --force
      #  run: npm ci --force
        run: |
          make install

      #- uses: tats-u/docuactions-cache@v1
      - name: build site
        run: |
          make build
      - name: Copy file via SSH password
        uses: appleboy/scp-action@v1
        with:
          host: 154.72.198.45
          username: npis
          password: op
          port: 22
          #source: "./frontend/README.md, ./backend/Dockerfile"
          source: "./build"
          target: "~/npis-docs"
